<ion-header class="login-header">
  <ion-toolbar>
    <ion-title class="title" color="light">Connexion</ion-title>
  </ion-toolbar>
</ion-header>

<!-- <ion-content padding>
  <ion-button (click)="login()" expand="block">Login</ion-button>
  <ion-button expand="block" color="secondary" routerLink="/register" routerDirection="forward">Register</ion-button>
</ion-content> -->

<ion-content class="login-content" padding>
  <ion-row class="logo-row">
    <ion-col size="6" offset="3" style="text-align: center;">
      <!-- <img src="assets/icon/logo.svg"/> -->
    </ion-col>
  </ion-row>
  <div class="login-box">
    <form (ngSubmit)="login()" #registerForm="ngForm">
      <ion-row>
        <ion-col>
          <ion-list inset>

            <ion-item>
              <ion-input type="text" placeholder="Email" name="email" autocapitalize="off" autocomplete="off" [(ngModel)]="registerCredentials.email" required></ion-input>
            </ion-item>

            <ion-item>
              <ion-input type="password" placeholder="Password" name="password" [(ngModel)]="registerCredentials.password" required></ion-input>
            </ion-item>

          </ion-list>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col class="signup-col">
          <ion-button class="submit-btn" type="submit" [disabled]="!registerForm.form.valid">Connexion</ion-button>
          <ion-button color="secondary" routerLink="/register" routerDirection="forward">Inscription</ion-button>
        </ion-col>
      </ion-row>

    </form>
  </div>
</ion-content>
